#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Michael Boniface
#//      Created Date :          13/12/2017
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# install python for the simulator
apt-get update
apt-get -y install python

# install influx
wget https://dl.influxdata.com/influxdb/releases/influxdb_1.2.4_amd64.deb
sha1sum influxdb_1.2.4_amd64.deb | grep 'e77522b65a582787b0d61b90d355284bb2683258' &> /dev/null
if [ $? == 1 ]; then
	echo "influx download failed sha1sum check"
	exit
fi
dpkg -i influxdb_1.2.4_amd64.deb

# install kapacitor
wget https://dl.influxdata.com/kapacitor/releases/kapacitor_1.3.1_amd64.deb
sha1sum kapacitor_1.3.1_amd64.deb | grep '5ae1ead9904ea651e72b181848c2e84338eb88b4' &> /dev/null
if [ $? == 1 ]; then
	echo "Kapacitor download failed sha1sum check"
	exit
fi
dpkg -i kapacitor_1.3.1_amd64.deb

# install Chronograf
wget https://dl.influxdata.com/chronograf/releases/chronograf_1.3.3.0_amd64.deb
sha1sum chronograf_1.3.3.0_amd64.deb | grep '9b567598c078ba1ad73dd587d7f32163e0886471' &> /dev/null
if [ $? == 1 ]; then
	echo "Chronograf download failed sha1sum check"
	exit
fi
dpkg -i chronograf_1.3.3.0_amd64.deb

systemctl start influxdb
systemctl start kapacitor
systemctl start chronograf
